# Получение кодов

Получает определенное количество кодов по артикулу игрового ключа.

Endpoint: GET /v2/project/{project_id}/admin/items/game/key/request/sku/{item_sku}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    ID проекта. Вы можете найти этот параметр в Личном кабинете рядом с названием проекта, а также в адресной строке браузера при работе с проектом. URL-адрес имеет следующий формат: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `item_sku` (string, required)
    Артикул товара.
    Example: "booster_mega_1"

## Query parameters:

  - `user_email` (string, required)
    Email-адрес пользователя.
    Example: "email@email.com"

  - `quantity` (integer, required)
    Количество кодов.
    Example: 100

  - `reason` (string, required)
    Причина получения кодов.
    Example: "Very important"

  - `region_id` (integer)
    ID региона.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with sku = 'game_1' not found"


